Got 5min?
Find

oEmbed

oEmbed is an open standard for embedding videos and/or images into a website. You can use the 5min URL or video Id of any video to easily obtain the embed code for that video. To find out more about oEmbed, view the spec or check out Webmonkey's Get Started With OEmbed tutorial.
API Endpoint
You can use the API endpoint to request the embed code for a video from its URL. The response format can be either xml or json.
http://api.5min.com/oembed.format
5min videos can use the following URL scheme: http://www.5min.com/video/*
Arguments
All arguments are sent as query parameters and must be urlencoded (as per RFC 1738).
url The 5min URL for a video  
width Optional. The exact width of the video. 480(default)
max_width Optional. Same as width, but video will not exceed given size.  
sid Optional. The syndicator id.  
auto_start The video starts playing automatically. false(default)
true.
overlay Optional. Show sidebars as overlay on the video. false
true(default).
callback
Optional. When returning JSON, wrap in this function.  
Example Call & Responses
These are sample responses (they have been shortened for formatting).
XML
Call:
Response:
<?xml version="1.0" encoding="UTF-8"?>
<oembed>
<type>video</type>
<version>1.0</version>
<provider_name>5min</provider_name>
<provider_url>http://www.5min.com/</provider_url>
<title>How to Make a Chocolate Cake</title>
<author_name>RonJ</author_name>
<author_url>http://www.5min.com/ronj</author_url>
<html><![CDATA[Here comes the full html embed code]]></html>
<width>480</width>
<height>401</height>
<thumbnail_url>
http://files.5min.com/Thumbnails/138/6872_13.jpg
</thumbnail_url>
<thumbnail_width>150</thumbnail_width>
<thumbnail_height>100</thumbnail_height>
<video_id>6872</video_id>
<duration>582</duration>
<description>an easy guide for making a chocolate cake.</description>
</oembed>
JSON
Call:
Response:
{
"type": "video",
"version": "1.0",
"provider_name": "5min",
"provider_url": "http:\/\/www.5min.com\/",
"title": "How to Make a Chocolate Cake",
"author_name": "RonJ",
"author_url": "http:\/\/www.5min.com\/ronj",
"html": "Here comes the full html embed code",
"width": 480,
"height": 401,
"thumbnail_url": "http:\/\/files.5min.com\/Thumbnails\/138\/6872_13.jpg",
"thumbnail_width": 150,
"thumbnail_height": 100,
"video_id": 6872,
"duration": 582,
"description": "an easy guide for making a chocolate cake."
}